# Source code for azure.cognitiveservices.knowledge.qnamaker.models.delete_kb_contents_dto_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class DeleteKbContentsDTO(Model):
        """PATCH body schema of Delete Operation in UpdateKb.

        :param ids: List of Qna Ids to be deleted
        :type ids: list[int]
        :param sources: List of sources to be deleted from knowledgebase.
        :type sources: list[str]
        """

        _attribute_map = {
            'ids': {'key': 'ids', 'type': '[int]'},
            'sources': {'key': 'sources', 'type': '[str]'},
        }

        def __init__(self, *, ids=None, sources=None, **kwargs) -> None:
            super(DeleteKbContentsDTO, self).__init__(**kwargs)
            self.ids = ids
            self.sources = sources